Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.osgi.service.blueprint.reflect
Interface BeanMetadata

All Superinterfaces:
  ComponentMetadata, Metadata, NonNullMetadata, Target

    public interface BeanMetadata

extends Target, ComponentMetadata

Metadata for a Bean component.

This is specified by the `bean` element.

Version:
  $Revision: 7563 $

Field Summary
`static String` | `SCOPE_PROTOTYPE` The bean has `prototype` scope.
`static String` | `SCOPE_SINGLETON` The bean has `singleton` scope.

Fields inherited from interface org.osgi.service.blueprint.reflect.ComponentMetadata
`ACTIVATION_EAGER, ACTIVATION_LAZY`

Method Summary
`List` | `getArguments()` Return the arguments for the factory method or constructor of the bean.
`String` | `getClassName()` Return the name of the class specified for the bean.
`String` | `getDestroyMethod()` Return the name of the destroy method specified for the bean.
`Target` | `getFactoryComponent()` Return the Metadata for the factory component on which to invoke the factory method for the bean.
`String` | `getFactoryMethod()` Return the name of the factory method for the bean.
`String` | `getInitMethod()` Return the name of the init method specified for the bean.
`List` | `getProperties()` Return the properties for the bean.
`String` | `getScope()` Return the scope for the bean.

Methods inherited from interface org.osgi.service.blueprint.reflect.ComponentMetadata
`getActivation, getDependsOn, getId`

Field Detail

### SCOPE_SINGLETON

    static final String SCOPE_SINGLETON

  The bean has `singleton` scope.

  See Also:
    `getScope()`, Constant Field Values

### SCOPE_PROTOTYPE

    static final String SCOPE_PROTOTYPE

  The bean has `prototype` scope.

  See Also:
    `getScope()`, Constant Field Values

Method Detail

### getClassName

    String getClassName()

  Return the name of the class specified for the bean. This is specified by the `class` attribute of the bean definition.

  Returns:
    The name of the class specified for the bean. If no class is specified in the bean definition, because the a factory component is used instead, then this method will return `null`.

### getInitMethod

    String getInitMethod()

  Return the name of the init method specified for the bean. This is specified by the `init-method` attribute of the bean definition.

  Returns:
    The name of the init method specified for the bean, or `null` if no init method is specified.

### getDestroyMethod

    String getDestroyMethod()

  Return the name of the destroy method specified for the bean. This is specified by the `destroy-method` attribute of the bean definition.

  Returns:
    The name of the destroy method specified for the bean, or `null` if no destroy method is specified.

### getArguments

    List getArguments()

  Return the arguments for the factory method or constructor of the bean. This is specified by the child `argument`elements.

  ``
  Returns:
    An immutable List of `BeanArgument` objects for the factory method or constructor of the bean. The List is empty if no arguments are specified for the bean.

### getProperties

    List getProperties()

  Return the properties for the bean. This is specified by the child `property` elements.

  Returns:
    An immutable List of `BeanProperty` objects, with one entry for each property to be injected in the bean. The List is empty if no property injection is specified for the bean.

### getFactoryMethod

    String getFactoryMethod()

  Return the name of the factory method for the bean. This is specified by the `factory-method` attribute of the bean.

  Returns:
    The name of the factory method of the bean or `null` if no factory method is specified for the bean.

### getFactoryComponent

    Target getFactoryComponent()

  Return the Metadata for the factory component on which to invoke the factory method for the bean. This is specified by the `factory-ref` attribute of the bean.

  When a factory method and factory component have been specified for the bean, this method returns the factory component on which to invoke the factory method for the bean. When no factory component has been specified this method will return `null`. When a factory method has been specified for the bean but a factory component has not been specified, the factory method must be invoked as a static method on the bean's class.

  Returns:
    The Metadata for the factory component on which to invoke the factory method for the bean or `null` if no factory component is specified.

### getScope

    String getScope()

  Return the scope for the bean.

  Returns:
    The scope for the bean.
  See Also:
    `SCOPE_SINGLETON`, `SCOPE_PROTOTYPE`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2006-2010 Spring Framework. All Rights Reserved.